---
title: Search
slug: serpwow/search-api/searches/google/places
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Google Places Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=google&search_type=places`

SerpWow parses Google Local & Maps results (i.e. local business listings) when the  `search_type`  parameter is set to  `search_type=places` . When this parameter is set SerpWow provides a  `places_results`  array in the result JSON that contains the [Places or Maps results](https://docs.trajectdata.com/serpwow/search-api/results/google/places).

:::hint{type="info"}
**Google Local vs. Google Maps**
`search_type=places`  requests can be executed in two modes to retrieve data from a [Google Local results page](https://www.google.com/search?q=pizza\&gl=us\&hl=en\&uule=w+CAIQICIgTWFuaGF0dGFuLE5ldyBZb3JrLFVuaXRlZCBTdGF0ZXM\&tbm=lcl) or from a [Google Maps results page](https://www.google.com/maps/search/pizza/@43.437677,-3.8392765,15z).

You set the Location of the  `search_type=places`  request using the  `location`  request parameter and this can be expressed as either a text location name from the [Locations API](https://docs.trajectdata.com/serpwow/locations-api/overview) (which will result in a [Google Local result](https://www.google.com/search?q=pizza\&gl=us\&hl=en\&uule=w+CAIQICIgTWFuaGF0dGFuLE5ldyBZb3JrLFVuaXRlZCBTdGF0ZXM\&tbm=lcl)), or as a latitude, longitude and zoom level (which will result in a [Google Maps result](https://www.google.com/maps/search/pizza/@43.437677,-3.8392765,15z)).
:::

***

### Google Local Parameters

If the  `location`  parameter is set to a location name from the [Locations API](https://docs.trajectdata.com/serpwow/locations-api/overview) (or any other free-form location name text) - for example  `Manhattan,New+York,United+States`  then results will be returned from a [Google Local](https://www.google.com/search?q=pizza\&gl=us\&hl=en\&uule=w+CAIQICIgTWFuaGF0dGFuLE5ldyBZb3JrLFVuaXRlZCBTdGF0ZXM\&tbm=lcl) page.

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&search_type=places&q=pizza&location=United+States
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d q="pizza" \
-d search_type="places" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  q: "pizza",
  search_type: "places",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.serpwow.com/live"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'q': 'pizza',
  'search_type': 'places',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'q' => 'pizza',
  'search_type' => 'places',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

Results are returned from a [Google Local](https://www.google.com/search?q=pizza\&gl=us\&hl=en\&uule=w+CAIQICIgTWFuaGF0dGFuLE5ldyBZb3JrLFVuaXRlZCBTdGF0ZXM\&tbm=lcl) page as shown below.

![](https://apiimages.imgix.net/serpwow/images/png/docs/google_places_results_places.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Local Page")

The following parameters are available for Google Local requests - i.e. requests made when  `search_type=places`  and the  `location`  value is provided as a  `full_name`  location name from the [Locations API](https://docs.trajectdata.com/serpwow/locations-api/overview) (or any other free-form location name text).

| `Parameter`     | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `q`             | `required` | The keyword you want to use to perform the Local search.                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `location`      | `optional` | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you `full_name` value from the SerpWow [built-in locations ](https://docs.trajectdata.com/serpwow/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).                              |
| `location_auto` | `optional` | If the `location` field is set to a SerpWow [built-in location ](https://docs.trajectdata.com/serpwow/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/serpwow/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable. |
| `uule`          | `optional` | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. SerpWow automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                          |
| `google_domain` | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                    |
| `gl`            | `optional` | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-countries). Defaults to `us` .                                                                                                                                                                                                                                                                                |
| `hl`            | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                               |
| `nfpr`          | `optional` | Determines whether to exclude results from auto-corrected queries that were spelt wrong. Can be set to `1` to exclude auto-corrected results, or `0` (default) to include them.                                                                                                                                                                                                                                                                                                                           |
| `page`          | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `max_page`      | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/serpwow/search-api/pagination)docs for more information.                                                                                                                                                                                                         |

***

### Google Maps Parameters

If the  `location`  parameter is set to a latitude, longitude and zoom value - for example  `location=lat:43.437677,lon:-3.8392765,zoom:15`  then results will be returned from a [Google Maps](https://www.google.com/maps/search/pizza/@43.437677,-3.8392765,15z) page.

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&search_type=places&q=pizza&location=location=lat:43.437677,lon:-3.8392765,zoom:15
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d q="pizza" \
-d search_type="places" \
-d location="location=lat:43.437677,lon:-3.8392765,zoom:15"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
api_key: "demo",
q: "pizza",
type: "places",
location: "location=lat:43.437677,lon:-3.8392765,zoom:15"
}

// make the http GET request
axios.get('https://api.serpwow.com/live"/search', { params })
.then(response => {

// print the JSON response
console.log(JSON.stringify(response.data, 0, 2));

}).catch(error => {
// catch and print the error
console.log(error);
})
```

```python
import requests
import json

# set up the request parameters
params = {
'api_key': 'demo',
'q': 'pizza',
'search_type': 'places',
'location': 'location=lat:43.437677,lon:-3.8392765,zoom:15'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php

# set up the request parameters
$queryString = http_build_query([
'api_key' => 'demo',
'q' => 'pizza',
'search_type' => 'places',
'location' => 'location=lat:43.437677,lon:-3.8392765,zoom:15'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

:::hint{type="info"}
**Formatting the &#x20;**`location`**&#x20; parameter for Google Maps requests**
To get Google Maps results based on latitude and longitude coordinates you should specify your  `location`  parameter in the form  `location=lat:43.437677,lon:-3.8392765,zoom:15`  where  `43.437677`  is your latitude value,  `-3.8392765`  is your longitude value and  `15`  is your zoom value.

Delimit each section with a comma  `,` , and delimit each name/value pair with a colon  `:` .

Valid  `zoom`  values are between  `3`  (maximum zoom-out) and  `21`  (maximum zoom-in).

Google can return results outside the bounds of the zoom level in some instances. If this behaviour is not desirable then specifying  `strict:true`  in the  `location`  parameter will only return results within the current zoom level. Eg.  `lat:39.58467741051493,lon:-0.6752313712718961,zoom:15,strict:true`
:::

Results are returned from a [Google Maps](https://www.google.com/maps/search/pizza/@43.437677,-3.8392765,15z) page as shown below.

![](https://apiimages.imgix.net/serpwow/images/png/docs/google_places_results_maps.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Maps Page")

The following parameters are available for Google Maps requests - i.e. requests made when  `search_type=places`  and the  `location`  value is provided as a longitude, latitude and zoom level.

| `Parameter`     | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| --------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `q`             | `required` | The keyword you want to use to perform the Google Maps search.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `location`      | `optional` | Determines the geographic location in which the query is executed.  <br />To get Google Maps results based on latitude and longitude coordinates you should specify your `location` parameter in the form `location=lat:43.437677,lon:-3.8392765,zoom:15` where `43.437677` is your latitude value, `-3.8392765` is your longitude value and `15` is your zoom value.  <br />Delimit each section with a comma `,` , and delimit each name/value pair with a colon `:` .  <br />Valid `zoom` values are between `3` (maximum zoom-out) and `21` (maximum zoom-in).  <br />**Note** include the `google_domain` and `hl` parameters to specify the Google domain and the UI language of the search results. By default, the Google domain and language are not based on the geographic coordinates (latitude/longitude) of the target country. |
| `google_domain` | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `hl`            | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `page`          | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `max_page`      | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/serpwow/search-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |

***

**Next Steps**
     [Google Places Results](https://docs.trajectdata.com/serpwow/search-api/results/google/places)
